# Installation & dependencies

{% hint style="success" %}
**Beginner friendly**

You don't need to be an experienced developer to use this resource, however to get the most out of it, basic knowledge of lua and scripts configuration is very useful.
{% endhint %}

### Dependencies & integrations

This script interacts with some other resources:

|                                                                                                                                                                                          Resource                                                                                                                                                                                         |                                                       Recommended version                                                      |    Required    |
| :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :----------------------------------------------------------------------------------------------------------------------------: | :------------: |
| <p><strong>One</strong> of supported frameworks:<br>• ESX: <a href="https://github.com/esx-framework/esx_core">es\_extended</a><br>• QBCore: <a href="https://github.com/qbcore-framework/qb-core/tree/main">qb-core</a><br>• QBox: <a href="https://github.com/Qbox-project/qbx_core">qbx\_core</a><br>• OX: <a href="https://github.com/overextended/ox_core/releases">ox\_core</a></p> | <p>• ESX: 1.6.0+<br>• QBCore: 1.2.6+<br>• QBox: 1.22.3+<br>• <a data-footnote-ref href="#user-content-fn-1">OX: 1.2.2+</a></p> |       Yes      |
|                                                                                                                                                                     [oxmysql](https://github.com/overextended/oxmysql)                                                                                                                                                                    |                                                             2.12.0+                                                            |    No\*[^2]    |
|                                                                                                                                                           [ox\_inventory](https://github.com/overextended/ox_inventory/releases)                                                                                                                                                          |                                                             2.38.1+                                                            |   No\*\*[^3]   |
|                                                                                                                                                                 [pc\_skills](https://tebex.poisoncode.com/scripts/skills)                                                                                                                                                                 |                                                               1.1                                                              |  No\*\*\*[^4]  |
|                                                                                                                                                                 [pc\_notifications](https://tebex.poisoncode.com/scripts/)                                                                                                                                                                |                                                               1.0                                                              | No\*\*\*\*[^5] |

*\*- Limiting how many times players can claim given collection is still possible without oxmysql, data will be saved in a .json file on server.*

*\*\*- If you have ox\_inventory, item icons will be downloaded automatically, if not you'll have to add them manually, see* [*tutorials*](/scripts/pc_collections/tutorials.md).

*\*\*\*- Using pc\_skills is recommended for the best functionality, it gives an option to lock some collections until player reches given level, and awarding xp for claiming collections.*

*\*\*\*\*- pc\_notifications is integrated by default. You can use any notifications system, but you will have to add it in utils*\
\
*"<mark style="color:green;">Recommended version</mark>" only tells you what version of the resource has been tested, other versions (including older ones) will likely work as well.*

### Installing the resource

{% stepper %}
{% step %}

### Add the resource to your server

Upload the file into your resources folder

Load `database.sql` into your database <mark style="color:blue;">(Optional)</mark>

Add the script by adding following to the server.cfg: *`ensure pc_collections`*
{% endstep %}

{% step %}

### Restart your server

Restart the server for the change to take effect and check for any errors
{% endstep %}
{% endstepper %}

[^1]: If you want to use ox\_core you need to uncomment this line in fxmanifest.lua

    ```lua
    '@ox_core/lib/init.lua',
    ```

[^2]: *Limiting how many times players can claim given collection is still possible without oxmysql, data will be saved in a .json file on server.*

[^3]: *If you have ox\_inventory, item icons will be downloaded automatically, if not you'll have to add them manually, see* [*tutorials*](/scripts/pc_collections/tutorials.md).

[^4]: *\*\*\*- Using pc\_skills is recommended for the best functionality, it gives an option to lock some collections until player reches given level, and awarding xp for claiming collections.*

[^5]: pc\_notifications is integrated by default. You can use any notifications system, but you will have to add it in utils


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.poisoncode.com/scripts/pc_collections/installation-and-dependencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
